
Redmine - Feature #10852

Ability to delete a version from a wiki page history

2012-05-08 14:43 - Adam Dingle

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

In Redmine (at least as of 1.3.3) I can roll back to a previous version of a wiki page, which creates a new version that undoes a wiki

edit.  But the previous version is still visible in the history.  I'd like to be able to delete a recent version so that it's completely gone

from the history.  This would be useful because when spammers attack our wiki site, I want to delete their changes completely to be

sure that no spam links will ever be seen by a web crawler.  Today, I have to delete and recreate each wiki page entirely (destroying

its history) when it suffers a spam attack.

Related issues:

Is duplicate of Redmine - Patch #1103: Add deleting of wiki page individual v... Closed 2008-04-25

Associated revisions

Revision 10684 - 2012-10-21 06:43 - Jean-Philippe Lang

Handle deleted wiki page versions (#10852).

Revision 10705 - 2012-10-23 20:45 - Jean-Philippe Lang

Ability to delete a version from a wiki page history (#10852).

Revision 10706 - 2012-10-23 23:24 - Jean-Philippe Lang

Fixed test case class name (#10852).

History

#1 - 2012-10-21 08:49 - Jean-Philippe Lang

- Category set to Wiki

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

#2 - 2012-10-23 20:46 - Jean-Philippe Lang

- Subject changed from let me delete a wiki page version completely to Ability to delete a version from a wiki page history

- Status changed from New to Closed

- Resolution set to Fixed

Committed, the permission to delete wiki pages is required.
